package com.uas.erp.manage.client.api.v1;

import com.uas.erp.manage.client.service.LocalRepositoryService;
import com.uas.erp.manage.client.web.ResponseWrap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;

/**
 * Created by Pro1 on 2017/6/23.
 */
@RestController
@RequestMapping(path = "/v1/resource")
public class ResourceControllerV1 {

    @Autowired
    private LocalRepositoryService localRepository;

    /**
     * 保存字符串到文件
     * @param resource
     * @return resource relative path
     * @throws IOException
     */
    @PostMapping
    public ResponseEntity saveResource(String resource) throws IOException{
        return ResponseWrap.ok(localRepository.saveResourceAsAttach(resource));
    }

    @GetMapping ResponseEntity getResource(String path) throws IOException{
        return ResponseWrap.ok(localRepository.getAttachAsString(path));
    }

}
