package com.uas.erp.manage.client.domain;

import com.uas.erp.manage.client.entity.Container;

/**
 * Created by Pro1 on 2017/6/23.
 */
public class ClientContainerInfo {

    private Long containerId;

    private String type;

    private String host;

    private String home;

    private Integer port;

    private String description;

    private String status;

    public Long getContainerId() {
        return containerId;
    }

    public void setContainerId(Long containerId) {
        this.containerId = containerId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getHome() {
        return home;
    }

    public void setHome(String home) {
        this.home = home;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public ClientContainerInfo(){

    }

    public ClientContainerInfo(Container container) {
        this.containerId = container.getId();
        this.description = container.getDescription();
        this.host = container.getHost();
        this.home = container.getHome();
        this.port = container.getPort();
        this.type = container.getType();
        this.status = container.getStatus();
    }
}
