package com.uas.erp.manage.client.util;

import org.springframework.util.FileCopyUtils;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.InputStreamReader;
import java.io.StringWriter;

/**
 * Created by Pro1 on 2017/6/19.
 */
public class ShellUtils {

    /**
     * 本地执行命令
     *
     * @param command
     * @return
     * @throws Exception
     */
    public static String execute(String command) throws Exception {
        BufferedReader bufferedReader = null;
        BufferedReader errBufferedReader = null;
        BufferedWriter bufferedWriter = null;
        try {
            // 执行Shell命令
            Process pid = Runtime.getRuntime().exec(new String[] { "/bin/sh", "-c", command });
            if (pid != null) {
                bufferedReader = new BufferedReader(new InputStreamReader(pid.getInputStream()), 1024);
                errBufferedReader = new BufferedReader(new InputStreamReader(pid.getErrorStream()), 1024);
                StringWriter writer = new StringWriter();
                bufferedWriter = new BufferedWriter(writer);
                pid.waitFor();
                // 读取Shell的输出内容，并添加到stringBuffer中
                FileCopyUtils.copy(bufferedReader, bufferedWriter);
                FileCopyUtils.copy(errBufferedReader, bufferedWriter);
                return writer.toString();
            }
        } finally {
            IOUtils.closeQuietly(bufferedReader, errBufferedReader, bufferedWriter);
        }
        return null;
    }

}
