package com.uas.erp.manage.client.config;

import com.uas.erp.manage.client.web.ResponseWrap;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;

/**
 * Created by Pro1 on 2017/6/22.
 */
@ControllerAdvice
public class ExceptionConfig {

    @ExceptionHandler(value = Exception.class)
    @ResponseBody
    public ResponseEntity defaultErrorHandler(HttpServletRequest req, Exception e) throws Exception {
        return ResponseWrap.badRequest(e.getMessage());
    }

}
