package com.uas.erp.manage.client.repository;

import com.uas.erp.manage.client.entity.ArtifactItem;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by Pro1 on 2017/6/19.
 */
@Repository
public interface ArtifactItemRepository extends JpaRepository<ArtifactItem, Long>{

    ArtifactItem findByArtifactIdAndVersion(long artifactId, String version);

    List<ArtifactItem> findByArtifactIdOrderByVersionDesc(long artifactId);

    void deleteByArtifactId(long artifactId);
}
