package com.uas.erp.manage.client.repository;

import com.uas.erp.manage.client.entity.ProjectDeployLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by Pro1 on 2017/6/19.
 */
@Repository
public interface ProjectDeployLogRepository extends JpaRepository<ProjectDeployLog, Long>{

    List<ProjectDeployLog> findByProjectIdOrderByDeployTimeDesc(long projectId);

    void deleteByProjectId(long projectId);

}
