package com.uas.erp.manage.client.util;

import org.springframework.core.io.ClassPathResource;
import org.springframework.util.StreamUtils;

import java.io.IOException;
import java.nio.charset.Charset;
import java.util.UUID;

/**
 * Created by Pro1 on 2017/6/13.
 */
public class StringUtil {

    public static String uuid() {
        return UUID.randomUUID().toString();
    }

    public static String copyResource(String resourcePath) throws IOException{
        ClassPathResource resource = new ClassPathResource(resourcePath);
        if (resource.exists()) {
            return StreamUtils.copyToString(resource.getInputStream(), Charset.forName("UTF-8"));
        }
        return null;
    }
}
